Bug 1129616 - Adding new RPMs to a product repository reports wrong number of RPMs on the published content view
Summary: Adding new RPMs to a product repository reports wrong number of RPMs on the p...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management
Version: 6.0.3
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: Unspecified
Assignee: Katello Bug Bin
QA Contact: Sachin Ghai
URL:
Whiteboard:
Depends On:
Blocks: GSS_Sat6Beta_Tracker, GSS_Sat6_Tracker
TreeView+ depends on / blocked
 
Reported: 2014-08-13 11:03 UTC by Benjamin Chardi
Modified: 2017-02-23 21:05 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-12 05:14:12 UTC


Attachments (Terms of Use)
RPM count (96.16 KB, image/png)
2014-08-13 11:03 UTC, Benjamin Chardi
no flags Details
CV shows 2 packages under published version (53.87 KB, image/png)
2015-03-11 10:25 UTC, Sachin Ghai
no flags Details
two packages under selected repo (44.71 KB, image/png)
2015-03-11 10:26 UTC, Sachin Ghai
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1592 normal SHIPPED_LIVE Important: Red Hat Satellite 6.1.1 on RHEL 6 2015-08-12 09:04:35 UTC

Description Benjamin Chardi 2014-08-13 11:03:05 UTC
Created attachment 926372 [details]
RPM count

Description of problem:

When in a  product yum repository a new rpm is added and a new content_view published the number of rpms  belonging to that content view reported by the product is not correct.


Version-Release number of selected component (if applicable):

Satellite6 - Beta - HTB


How reproducible:


Steps to Reproduce:

1. Create a product with a yum repo of 1 rpm
2. Create a content view and publish it 
3. Verify number of RPMs contained in that content view

Content -> 1 Package

4. On product yum repo add a second RPM
5. Sync product
6. Create a new Content View
7. Verify number of RPMs contained in that content view

Content -> 3 Packages

The first package is report 2 times while the new one just one time. The total number is wrong.  3 != 2

Attached a 



Actual results:

3 Packages

Expected results:

2 Packages

Additional info:

Comment 1 RHEL Product and Program Management 2014-08-13 11:03:12 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 5 Sachin Ghai 2015-03-11 10:16:28 UTC
verified with sat6.1 beta snap5. 

Satellite-6.1.0-RHEL-7-20150303.0

I can see 2 packages as per the steps given in description. Please see the attached sceenshot.

Comment 6 Sachin Ghai 2015-03-11 10:25:49 UTC
Created attachment 1000333 [details]
CV shows 2 packages under published version

Comment 7 Sachin Ghai 2015-03-11 10:26:34 UTC
Created attachment 1000334 [details]
two packages under selected repo

Comment 8 Bryan Kearney 2015-08-11 13:28:43 UTC
This bug is slated to be released with Satellite 6.1.

Comment 9 errata-xmlrpc 2015-08-12 05:14:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:1592


Note You need to log in before you can comment on or make changes to this bug.